Create a copy of an existing SMS template
curl --request POST \
--url https://api.pocketflows.com/sms_templates/{id}/copy \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.pocketflows.com/sms_templates/{id}/copy"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pocketflows.com/sms_templates/{id}/copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"message": "<string>",
"estimated_sms_segments": 123,
"estimated_segments": {
"sms": 123,
"mms": 123
},
"image": "<string>",
"shorten_urls": true
}Sms templates
Create a copy of an existing SMS template
POST
/
sms_templates
/
{id}
/
copy
Create a copy of an existing SMS template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the SMS template
Body
application/json
The body is of type object.
Response
200 - application/json
The created SmsTemplate object
The ID of the SMS template
The name of the SMS template
The message of the SMS template. Variables are supported via {{ variableName }}
The estimated number of SMS segments
The estimated number of segments of each type. Has keys sms and mms
Show child attributes
Show child attributes
The ID of the image upload
Whether to shorten URLs in the message